#!/bin/sh
spitshell=cat
package=IRC

echo "Extracting $package/src/version.c..."

if test -r version.c.last
then
	generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c.last`
if test ! "$generation" ; then generation=0; fi
else
	generation=0
fi

generation=`expr $generation + 1`

uname=`uname -a`

creation=`date | \
awk '{if (NF == 6) \
{ print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
{ print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

$spitshell >version.c <<!SUB!THIS!
/*
 *   IRC - Internet Relay Chat, src/version.c
 *   Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "patchlevel.h"

char *generation = "$generation";
char *creation = "$creation";
char version[128];

char *infotext[] =
    {
	 "Based on the original code written by Jarkko Oikarinen",
	 "Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
	 " ",
	 "Based on bahamut-1.4.30, developped by the bahamut team for DALnet",
	 "GxpIRCd, coded for the GlobalXP IRC network",
	 "You have suggestions, ideas ? Email psikerios@globalxp.net", 
	 " ",
	 "GxpIRCd, a creation of:",
	 "Nicolas Brard Nault     \"Psikerios\"      <psikerios@globalxp.net>",
	 " ",
	 "THANKS:",
	 "Darkrainbow: previous support, thanks a lot",
	 "FrozeN: supported me, tested my stuff, very appreciated",
	 "codex: made me start this big project",
	 " ",
	 "GxpIRCd is very young, but it will grow, promise !",
	 " ",
	 "IRC, it's:",
	 "10 years continuous developpement",
	 "Dozens of previous contributors",
	 "Hundreds of thousands of users arround the world",
	 " ",
	 "GxpIRCd, it's:",
	 "41312 lines of code",
	 "Total of source files: 1121k",
	 "Since the beginning, at least 500 compilations",
	 "And a coder...",
    " ",
	 0,
};
!SUB!THIS!
